Package org.eclipse.zest.layouts.progress

# Class ProgressListener.Stub

java.lang.Object
org.eclipse.zest.layouts.progress.ProgressListener.Stub

All Implemented Interfaces:
  `ProgressListener`

Enclosing interface:
  `ProgressListener`

@Deprecated(since="2.0", forRemoval=true) public static class ProgressListener.Stub extends Object implements ProgressListener
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x. This interface will be removed in a future release.
An empty implementation of `ProgressListener` for convenience.

Since:
  1.5
@noextend
  This interface is not intended to be extended by clients.
@noimplement
  This interface is not intended to be implemented by clients.
@noreference
  This interface is not intended to be referenced by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.zest.layouts.progress.ProgressListener

`ProgressListener.Stub`

## Constructor Summary

Constructors
Constructor
Description
`Stub()`
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Summary

Modifier and Type
Method
Description
`void`
`progressEnded(ProgressEvent e)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`progressStarted(ProgressEvent e)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`progressUpdated(ProgressEvent e)`
Deprecated, for removal: This API element is subject to removal in a future version.
Called when the progress of a layout changes

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Stub

public Stub()
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Details

### progressStarted

public void progressStarted(ProgressEvent e)
Deprecated, for removal: This API element is subject to removal in a future version.

Specified by:
  `progressStarted` in interface `ProgressListener`
Parameters:
  `e` -

### progressUpdated

public void progressUpdated(ProgressEvent e)
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `ProgressListener`
Called when the progress of a layout changes

Specified by:
  `progressUpdated` in interface `ProgressListener`

### progressEnded

public void progressEnded(ProgressEvent e)
Deprecated, for removal: This API element is subject to removal in a future version.

Specified by:
  `progressEnded` in interface `ProgressListener`
Parameters:
  `e` -